Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IAddressEntry

All Superinterfaces
  IItem, IPerson, Serializable

    public interface IAddressEntry

extends IPerson, IItem

Represents an entry from an address book, that is not necessarily an item.

Field Summary
`static Key` | `ADDRESS` The key representing the address entry.
`static ItemClass` | `CLASS` The item class of `IAddressEntry`.
`static int` | `KEYID_ADDRESS` The `int` ID for the `ADDRESS` key.

Fields inherited from interface com.compoze.collab.groupware.IPerson
`ASSISTANT, BUSINESS_ADDRESS_CITY, BUSINESS_ADDRESS_COUNTRY, BUSINESS_ADDRESS_POSTAL_CODE, BUSINESS_ADDRESS_STATE, BUSINESS_ADDRESS_STREET, BUSINESS_FAX, BUSINESS_PAGER, BUSINESS_PHONE, COMPANY_NAME, DEPARTMENT_NAME, DISPLAY_NAME, FIRST_NAME, JOB_TITLE, KEYID_ASSISTANT, KEYID_BUSINESS_ADDRESS_CITY, KEYID_BUSINESS_ADDRESS_COUNTRY, KEYID_BUSINESS_ADDRESS_POSTAL_CODE, KEYID_BUSINESS_ADDRESS_STATE, KEYID_BUSINESS_ADDRESS_STREET, KEYID_BUSINESS_FAX, KEYID_BUSINESS_PAGER, KEYID_BUSINESS_PHONE, KEYID_COMPANY_NAME, KEYID_DEPARTMENT_NAME, KEYID_DISPLAY_NAME, KEYID_FIRST_NAME, KEYID_JOB_TITLE, KEYID_LAST_NAME, KEYID_MANAGER_NAME, KEYID_MIDDLE_NAME, KEYID_NAME_PREFIX, KEYID_NAME_SUFFIX, KEYID_OFFICE_LOCATION, KEYID_PERSONAL_ADDRESS_CITY, KEYID_PERSONAL_ADDRESS_COUNTRY, KEYID_PERSONAL_ADDRESS_POSTAL_CODE, KEYID_PERSONAL_ADDRESS_STATE, KEYID_PERSONAL_ADDRESS_STREET, KEYID_PERSONAL_FAX, KEYID_PERSONAL_MOBILE_PHONE, KEYID_PERSONAL_PHONE, KEYID_SMTP_ADDRESS, KEYID_WEB_PAGE, LAST_NAME, MANAGER_NAME, MIDDLE_NAME, NAME_PREFIX, NAME_SUFFIX, OFFICE_LOCATION, PERSONAL_ADDRESS_CITY, PERSONAL_ADDRESS_COUNTRY, PERSONAL_ADDRESS_POSTAL_CODE, PERSONAL_ADDRESS_STATE, PERSONAL_ADDRESS_STREET, PERSONAL_FAX, PERSONAL_MOBILE_PHONE, PERSONAL_PHONE, SMTP_ADDRESS, WEB_PAGE`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`String` | `getAddress()` Gets the address of the address entry.

Methods inherited from interface com.compoze.collab.groupware.IPerson
`getAssistant, getBusinessAddress, getBusinessFax, getBusinessPager, getBusinessPhone, getCompanyName, getDepartmentName, getDisplayName, getFirstName, getHomeFax, getHomePhone, getJobTitle, getLastName, getManagerName, getMiddleName, getNamePrefix, getNameSuffix, getOfficeLocation, getPersonalAddress, getPersonalMobilePhone, getSmtpAddress, getWebPage, setAssistant, setBusinessAddress, setBusinessFax, setBusinessPager, setBusinessPhone, setCompanyName, setDepartmentName, setDisplayName, setFirstName, setHomeFax, setHomePhone, setJobTitle, setLastName, setManagerName, setMiddleName, setName, setNamePrefix, setNameSuffix, setOfficeLocation, setPersonalAddress, setPersonalMobilePhone, setSmtpAddress, setWebPage`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_ADDRESS

    static final int KEYID_ADDRESS

  The `int` ID for the `ADDRESS` key.

  See Also
    Constants Summary

### ADDRESS

    static final Key ADDRESS

  The key representing the address entry.

### CLASS

    static final ItemClass CLASS

  The item class of `IAddressEntry`.

Method Detail

### getAddress

    String getAddress()
                      throws CollaborationException

  Gets the address of the address entry.

  Returns
    the string address
  Throws
    `CollaborationException` - if there was an error getting the address

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved